"{ Package: 'stx:goodies/metacello/core/tests' }"

TestCase subclass:#MetacelloSpecTestCase
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Metacello-TestsCore-Specs'
!


!MetacelloSpecTestCase methodsFor:'accessing'!

project
    ^ self projectWith: #()
!

projectClass
    ^ MetacelloProject
!

projectWith: projectAttributes
    | project |
    "Construct Metacello project"
    project := self projectClass new.
    project projectAttributes: projectAttributes.
    MetacelloVersionConstructor on: self project: project.
    project loader: MetacelloSpecLoader new.
    ^ project

    "Modified: / 05-09-2012 / 17:03:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MetacelloSpecTestCase methodsFor:'specs'!

groupSpec
    ^ self project groupSpec
!

packagesSpec
    ^ self project packagesSpec
!

projectReferenceSpec
    ^ self project projectReferenceSpec
!

projectSpec
    ^ self project projectSpec
!

valueHolderSpec
    ^ self project valueHolderSpec
!

versionSpec
    ^ self project versionSpec
! !

!MetacelloSpecTestCase class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
